---
updatedAt: 2026-08-17T22:49:45.000Z
agentTools:
  projectIndex: https://docs.whippy.ai/llms.txt
---

# Delete Agent

Deletes an agent that belongs to the authenticated organization.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "NotAuthenticatedErrorResponse": {
        "description": "Not Authenticated Error Response schema",
        "example": {
          "errors": [
            {
              "description": "Not authenticated"
            }
          ],
          "status": 401
        },
        "properties": {
          "errors": {
            "description": "Not authenticated error",
            "items": {
              "properties": {
                "description": {
                  "enum": [
                    "Not authenticated"
                  ],
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                }
              },
              "type": "object",
              "x-struct": null,
              "x-validate": null
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "enum": [
              401
            ],
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "NotAuthenticatedErrorResponse",
        "type": "object",
        "x-struct": "Elixir.DashboardApiWeb.Public.V1.Documentation.Errors.NotAuthenticated",
        "x-validate": null
      },
      "ShowAgentResponse": {
        "description": "Response schema for agent records.",
        "example": {
          "data": {
            "assigned_call_flows": [
              {
                "channels": [
                  {
                    "address": "123 Main St, Anytown, USA",
                    "id": "919b3b06-3d01-442d-9a9e-02a2892a3fee",
                    "name": "Carl Sagan",
                    "phone": "+11234567890",
                    "state": "enabled",
                    "type": "phone"
                  }
                ],
                "color": "#FFA500",
                "created_by_id": 1,
                "description": "Call flow from the AI Agent Adrian that forwards the call to him",
                "emoji": "🤖",
                "id": "8b67c259-4550-47a7-82b1-4aa1a2428971",
                "name": "Forward to Agent: Adrian",
                "organization_id": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
                "updated_by_id": 1
              }
            ],
            "created_at": "2024-02-28T12:33:40Z",
            "created_by": {
              "email": "carl@gmail.com",
              "id": 1,
              "name": "Carl Sagan",
              "phone": "+142481208301"
            },
            "current_version": {
              "agent_id": "e177be99-c879-4ee9-bf63-d49f3eebe90c",
              "created_at": "2024-04-30T08:56:24.260121Z",
              "created_by_id": 1,
              "description": "Law Agent",
              "id": "d2b27b17-65e1-47e8-a434-df60404011c1",
              "llm_id": "a3698a2e-49ff-482e-abac-261ed384fe69",
              "name": "Adrian",
              "notes": "Updated the greeting and escalation instructions",
              "organization_id": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
              "placeholders_filters": {},
              "published_at": "2024-04-30T08:56:24Z",
              "settings": {
                "allow_user_dtmf": true,
                "ambient_sound": null,
                "ambient_sound_volume": 1,
                "backchannel_frequency": 0.8,
                "backchannel_words": null,
                "begin_message_delay_ms": 0,
                "boosted_keywords": null,
                "denoising_mode": "noise-cancellation",
                "enable_backchannel": false,
                "end_call_after_silence_ms": 600000,
                "fallback_voice_ids": null,
                "interruption_sensitivity": 1,
                "language": "multi",
                "max_call_duration_ms": 3600000,
                "max_chat_duration_ms": 86400000,
                "normalize_for_speech": false,
                "post_call_analysis_data": {
                  "properties": {
                    "experience_in_years": {
                      "description": "User's years of experience at the job",
                      "type": "integer"
                    },
                    "method": {
                      "description": "User's preferred contact method",
                      "enum": [
                        "sms",
                        "phone",
                        "email"
                      ],
                      "type": "string"
                    },
                    "overtime": {
                      "description": "User's availability to work overtime",
                      "type": "boolean"
                    },
                    "user_email": {
                      "description": "User's email address for contacting purposes",
                      "examples": [
                        "john.wayne@whippy.co",
                        "jonnyw@google.com"
                      ],
                      "format": "email",
                      "type": "string"
                    }
                  },
                  "required": [
                    "user_email",
                    "method",
                    "overtime",
                    "experience_in_years"
                  ],
                  "type": "object"
                },
                "post_call_analysis_model": "gpt-5.6-luna",
                "pronunciation_dictionary": [
                  {
                    "alphabet": "ipa",
                    "phoneme": "ˈæktʃuəli",
                    "word": "actually"
                  }
                ],
                "reminder_max_count": 1,
                "reminder_trigger_ms": 10000,
                "responsiveness": 1,
                "stt_mode": "fast",
                "vocab_specialization": "general",
                "voice_id": "cartesia-Adrian",
                "voice_model": "sonic-3",
                "voice_speed": 1,
                "voice_temperature": 1,
                "voicemail_option": {
                  "action": {
                    "type": "hangup"
                  }
                },
                "volume": 1
              }
            },
            "default_call_flow": {
              "color": "#FFA500",
              "created_by_id": 1,
              "description": "Call flow from the AI Agent Adrian that forwards the call to him",
              "emoji": "🤖",
              "id": "8b67c259-4550-47a7-82b1-4aa1a2428971",
              "name": "Forward to Agent: Adrian",
              "organization_id": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
              "updated_by_id": 1
            },
            "deleted_at": null,
            "deleted_by": null,
            "draft_version": {
              "agent_id": "e177be99-c879-4ee9-bf63-d49f3eebe90c",
              "created_at": "2024-04-30T08:56:24.260121Z",
              "created_by_id": 1,
              "description": "Law Agent",
              "id": "d2b27b17-65e1-47e8-a434-df60404011c1",
              "llm_id": "a3698a2e-49ff-482e-abac-261ed384fe69",
              "name": "Adrian",
              "notes": "Updated the greeting and escalation instructions",
              "organization_id": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
              "placeholders_filters": {},
              "published_at": "2024-04-30T08:56:24Z",
              "settings": {
                "allow_user_dtmf": true,
                "ambient_sound": null,
                "ambient_sound_volume": 1,
                "backchannel_frequency": 0.8,
                "backchannel_words": null,
                "begin_message_delay_ms": 0,
                "boosted_keywords": null,
                "denoising_mode": "noise-cancellation",
                "enable_backchannel": false,
                "end_call_after_silence_ms": 600000,
                "fallback_voice_ids": null,
                "interruption_sensitivity": 1,
                "language": "multi",
                "max_call_duration_ms": 3600000,
                "max_chat_duration_ms": 86400000,
                "normalize_for_speech": false,
                "post_call_analysis_data": {
                  "properties": {
                    "experience_in_years": {
                      "description": "User's years of experience at the job",
                      "type": "integer"
                    },
                    "method": {
                      "description": "User's preferred contact method",
                      "enum": [
                        "sms",
                        "phone",
                        "email"
                      ],
                      "type": "string"
                    },
                    "overtime": {
                      "description": "User's availability to work overtime",
                      "type": "boolean"
                    },
                    "user_email": {
                      "description": "User's email address for contacting purposes",
                      "examples": [
                        "john.wayne@whippy.co",
                        "jonnyw@google.com"
                      ],
                      "format": "email",
                      "type": "string"
                    }
                  },
                  "required": [
                    "user_email",
                    "method",
                    "overtime",
                    "experience_in_years"
                  ],
                  "type": "object"
                },
                "post_call_analysis_model": "gpt-5.6-luna",
                "pronunciation_dictionary": [
                  {
                    "alphabet": "ipa",
                    "phoneme": "ˈæktʃuəli",
                    "word": "actually"
                  }
                ],
                "reminder_max_count": 1,
                "reminder_trigger_ms": 10000,
                "responsiveness": 1,
                "stt_mode": "fast",
                "vocab_specialization": "general",
                "voice_id": "cartesia-Adrian",
                "voice_model": "sonic-3",
                "voice_speed": 1,
                "voice_temperature": 1,
                "voicemail_option": {
                  "action": {
                    "type": "hangup"
                  }
                },
                "volume": 1
              }
            },
            "id": "e177be99-c879-4ee9-bf63-d49f3eebe90c",
            "organization": {
              "id": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
              "name": "Hello Inc."
            },
            "status": "active",
            "updated_at": "2024-02-28T12:38:32Z",
            "updated_by": {
              "email": "carl@gmail.com",
              "id": 1,
              "name": "Carl Sagan",
              "phone": "+142481208301"
            },
            "usage_mode": "ai_minutes",
            "versions": [
              {
                "agent_id": "e177be99-c879-4ee9-bf63-d49f3eebe90c",
                "created_at": "2024-04-30T08:52:17.493485Z",
                "created_by_id": 1,
                "description": null,
                "id": "25af6b4b-5b1c-4162-a428-c4a3245f4c5f",
                "llm_id": "a3698a2e-49ff-482e-abac-261ed384fe69",
                "name": null,
                "notes": null,
                "organization_id": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
                "published_at": null,
                "settings": {
                  "allow_user_dtmf": true,
                  "ambient_sound": null,
                  "ambient_sound_volume": 1,
                  "backchannel_frequency": 0.8,
                  "backchannel_words": null,
                  "begin_message_delay_ms": 0,
                  "boosted_keywords": null,
                  "denoising_mode": "noise-cancellation",
                  "enable_backchannel": false,
                  "end_call_after_silence_ms": 600000,
                  "fallback_voice_ids": null,
                  "interruption_sensitivity": 1,
                  "language": "multi",
                  "max_call_duration_ms": 3600000,
                  "max_chat_duration_ms": 86400000,
                  "normalize_for_speech": false,
                  "post_call_analysis_data": {
                    "properties": {
                      "experience_in_years": {
                        "description": "User's years of experience at the job",
                        "type": "integer"
                      },
                      "method": {
                        "description": "User's preferred contact method",
                        "enum": [
                          "sms",
                          "phone",
                          "email"
                        ],
                        "type": "string"
                      },
                      "overtime": {
                        "description": "User's availability to work overtime",
                        "type": "boolean"
                      },
                      "user_email": {
                        "description": "User's email address for contacting purposes",
                        "examples": [
                          "john.wayne@whippy.co",
                          "jonnyw@google.com"
                        ],
                        "format": "email",
                        "type": "string"
                      }
                    },
                    "required": [
                      "user_email",
                      "method",
                      "overtime",
                      "experience_in_years"
                    ],
                    "type": "object"
                  },
                  "post_call_analysis_model": "gpt-5.6-luna",
                  "pronunciation_dictionary": [
                    {
                      "alphabet": "ipa",
                      "phoneme": "ˈæktʃuəli",
                      "word": "actually"
                    }
                  ],
                  "reminder_max_count": 1,
                  "reminder_trigger_ms": 10000,
                  "responsiveness": 1,
                  "stt_mode": "fast",
                  "vocab_specialization": "general",
                  "voice_id": "cartesia-Adrian",
                  "voice_model": "sonic-3",
                  "voice_speed": 1,
                  "voice_temperature": 1,
                  "voicemail_option": {
                    "action": {
                      "type": "hangup"
                    }
                  },
                  "volume": 1
                }
              }
            ]
          }
        },
        "properties": {
          "data": {
            "description": "Agent record",
            "properties": {
              "assigned_call_flows": {
                "description": "Data for the call flows that the agent is assigned to",
                "items": {
                  "description": "Data for the call flow that the agent is assigned to",
                  "example": {
                    "color": "#FFA500",
                    "created_by_id": 1,
                    "description": "Call flow from the AI Agent Adrian that forwards the call to him",
                    "emoji": "🤖",
                    "id": "8b67c259-4550-47a7-82b1-4aa1a2428971",
                    "name": "Forward to Agent: Adrian",
                    "organization_id": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
                    "updated_by_id": 1
                  },
                  "properties": {
                    "channels": {
                      "description": "Channels associated with the call flow",
                      "example": [
                        {
                          "address": "123 Main St, Anytown, USA",
                          "id": "919b3b06-3d01-442d-9a9e-02a2892a3fee",
                          "name": "Carl Sagan",
                          "phone": "+11234567890",
                          "state": "enabled",
                          "type": "phone"
                        }
                      ],
                      "items": {
                        "description": "Channel data",
                        "example": {
                          "address": "123 Main St, Anytown, USA",
                          "id": "919b3b06-3d01-442d-9a9e-02a2892a3fee",
                          "name": "Carl Sagan",
                          "phone": "+11234567890",
                          "state": "enabled",
                          "type": "phone"
                        },
                        "properties": {
                          "address": {
                            "description": "Channel address",
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "id": {
                            "description": "Channel ID",
                            "example": "919b3b06-3d01-442d-9a9e-02a2892a3fee",
                            "format": "uuid",
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "name": {
                            "description": "Channel name",
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "phone": {
                            "description": "Channel phone",
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "state": {
                            "description": "Channel state",
                            "example": "enabled",
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "type": {
                            "description": "Channel type",
                            "example": "phone",
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          }
                        },
                        "type": "object",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "type": "array",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "color": {
                      "description": "Call flow color",
                      "example": "#000000",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "created_by_id": {
                      "description": "User ID that created the call flow",
                      "example": 1,
                      "type": "integer",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "description": {
                      "description": "Call flow description",
                      "example": "Call flow from the AI Agent Adrian that forwards the call to him",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "emoji": {
                      "description": "Call flow emoji",
                      "example": "🤖",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "id": {
                      "description": "Call flow ID",
                      "example": "8b67c259-4550-47a7-82b1-4aa1a2428971",
                      "format": "uuid",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "name": {
                      "description": "Call flow name",
                      "example": "Forward to Agent: Adrian",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "organization_id": {
                      "description": "Organization ID that the call flow belongs to",
                      "example": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
                      "format": "uuid",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "updated_by_id": {
                      "description": "User ID that updated the call flow",
                      "example": 1,
                      "type": "integer",
                      "x-struct": null,
                      "x-validate": null
                    }
                  },
                  "type": "object",
                  "x-struct": null,
                  "x-validate": null
                },
                "type": "array",
                "x-struct": null,
                "x-validate": null
              },
              "created_at": {
                "description": "Time of creation of the agent in ISO 8601 format",
                "example": "2024-01-06T12:19:39Z",
                "format": "date-time",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "created_by": {
                "description": "Data for the user that created the agent",
                "example": {
                  "email": "carl@gmail.com",
                  "id": 1,
                  "name": "Carl Sagan",
                  "phone": "+142481208301"
                },
                "properties": {
                  "email": {
                    "description": "User email",
                    "example": "carl@gmail.com",
                    "format": "email",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "id": {
                    "description": "User ID",
                    "example": 1,
                    "type": "integer",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "name": {
                    "description": "User name",
                    "example": "Carl Sagan",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "phone": {
                    "description": "User phone",
                    "example": "+142481208301",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  }
                },
                "type": "object",
                "x-struct": null,
                "x-validate": null
              },
              "current_version": {
                "description": "Agent current version",
                "example": {
                  "agent_id": "e177be99-c879-4ee9-bf63-d49f3eebe90c",
                  "created_at": "2024-04-30T08:56:24.260121Z",
                  "created_by_id": 1,
                  "description": "Law Agent",
                  "id": "d2b27b17-65e1-47e8-a434-df60404011c1",
                  "llm_id": "a3698a2e-49ff-482e-abac-261ed384fe69",
                  "name": "Adrian",
                  "notes": "Updated the greeting and escalation instructions",
                  "organization_id": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
                  "placeholders_filters": {},
                  "published_at": "2024-04-30T08:56:24Z",
                  "settings": {
                    "allow_user_dtmf": true,
                    "ambient_sound": null,
                    "ambient_sound_volume": 1,
                    "backchannel_frequency": 0.8,
                    "backchannel_words": null,
                    "begin_message_delay_ms": 0,
                    "boosted_keywords": null,
                    "denoising_mode": "noise-cancellation",
                    "enable_backchannel": false,
                    "end_call_after_silence_ms": 600000,
                    "fallback_voice_ids": null,
                    "interruption_sensitivity": 1,
                    "language": "multi",
                    "max_call_duration_ms": 3600000,
                    "max_chat_duration_ms": 86400000,
                    "normalize_for_speech": false,
                    "post_call_analysis_data": {
                      "properties": {
                        "experience_in_years": {
                          "description": "User's years of experience at the job",
                          "type": "integer"
                        },
                        "method": {
                          "description": "User's preferred contact method",
                          "enum": [
                            "sms",
                            "phone",
                            "email"
                          ],
                          "type": "string"
                        },
                        "overtime": {
                          "description": "User's availability to work overtime",
                          "type": "boolean"
                        },
                        "user_email": {
                          "description": "User's email address for contacting purposes",
                          "examples": [
                            "john.wayne@whippy.co",
                            "jonnyw@google.com"
                          ],
                          "format": "email",
                          "type": "string"
                        }
                      },
                      "required": [
                        "user_email",
                        "method",
                        "overtime",
                        "experience_in_years"
                      ],
                      "type": "object"
                    },
                    "post_call_analysis_model": "gpt-5.6-luna",
                    "pronunciation_dictionary": [
                      {
                        "alphabet": "ipa",
                        "phoneme": "ˈæktʃuəli",
                        "word": "actually"
                      }
                    ],
                    "reminder_max_count": 1,
                    "reminder_trigger_ms": 10000,
                    "responsiveness": 1,
                    "stt_mode": "fast",
                    "vocab_specialization": "general",
                    "voice_id": "cartesia-Adrian",
                    "voice_model": "sonic-3",
                    "voice_speed": 1,
                    "voice_temperature": 1,
                    "voicemail_option": {
                      "action": {
                        "type": "hangup"
                      }
                    },
                    "volume": 1
                  }
                },
                "properties": {
                  "agent_id": {
                    "description": "ID of agent that the agent version belongs to",
                    "example": "e177be99-c879-4ee9-bf63-d49f3eebe90c",
                    "format": "uuid",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "created_at": {
                    "description": "Time of creation of the agent version in ISO 8601 format",
                    "example": "2024-04-30T08:56:24.260121Z",
                    "format": "date-time",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "created_by_id": {
                    "description": "ID of the user that created the agent version",
                    "example": 1,
                    "type": "integer",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "description": {
                    "description": "Agent description",
                    "example": "Law Agent",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "id": {
                    "description": "Agent version ID",
                    "example": "d2b27b17-65e1-47e8-a434-df60404011c1",
                    "format": "uuid",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "llm_id": {
                    "description": "ID of the LLM in use by the agent version",
                    "example": "a3698a2e-49ff-482e-abac-261ed384fe69",
                    "format": "uuid",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "name": {
                    "description": "Agent name",
                    "example": "Adrian",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "notes": {
                    "description": "Notes about the agent version",
                    "example": "Updated the greeting and escalation instructions",
                    "nullable": true,
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "organization_id": {
                    "description": "ID of organization that the agent version belongs to",
                    "example": "7b5e5482-0bac-4d6b-942c-b7adff4fc5b6",
                    "format": "uuid",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "placeholders_filters": {
                    "additionalProperties": {
                      "properties": {
                        "filter": {
                          "description": "Filter rules that define which records populate the variable.",
                          "items": {
                            "properties": {
                              "column": {
                                "description": "The column on the resource on which the comparison should be executed.",
                                "example": "status",
                                "type": "string",
                                "x-struct": null,
                                "x-validate": null
                              },
                              "comparison": {
                                "description": "The comparison operator to use.",
                                "enum": [
                                  "==",
                                  "!=",
                                  "<",
                                  ">",
                                  "<=",
                                  ">=",
                                  "in",
                                  "like",
                                  "ilike",
                                  "not_in",
                                  "contains",
                                  "not_contains",
                                  "is_contained",
                                  "not_like",
                                  "not_ilike",
                                  "ilike_any",
                                  "not_ilike_all",
                                  "between",
                                  "in_radius",
                                  "not_in_radius"
                                ],
                                "example": "==",
                                "type": "string",
                                "x-struct": null,
                                "x-validate": null
                              },
                              "resource": {
                                "description": "The resource on which the filter should be applied.",
                                "example": "job",
                                "type": "string",
                                "x-struct": null,
                                "x-validate": null
                              },
                              "value": {
                                "description": "Value to compare. Its type depends on the comparison operator.",
                                "example": "active",
                                "x-struct": null,
                                "x-validate": null
                              }
                            },
                            "required": [
                              "resource",
                              "column",
                              "comparison",
                              "value"
                            ],
                            "type": "object",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "type": "array",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "limit": {
                          "description": "Maximum number of records to return for the variable.",
                          "minimum": 1,
                          "type": "integer",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "sort": {
                          "description": "Rules that define how the returned records are sorted.",
                          "items": {
                            "properties": {
                              "column": {
                                "description": "Resource column to sort by.",
                                "example": "created_at",
                                "type": "string",
                                "x-struct": null,
                                "x-validate": null
                              },
                              "order": {
                                "description": "Sort direction.",
                                "enum": [
                                  "asc",
                                  "desc"
                                ],
                                "example": "desc",
                                "type": "string",
                                "x-struct": null,
                                "x-validate": null
                              },
                              "resource": {
                                "description": "Resource to sort.",
                                "example": "job",
                                "type": "string",
                                "x-struct": null,
                                "x-validate": null
                              }
                            },
                            "required": [
                              "resource",
                              "column",
                              "order"
                            ],
                            "type": "object",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "type": "array",
                          "x-struct": null,
                          "x-validate": null
                        }
                      },
                      "required": [
                        "filter"
                      ],
                      "type": "object",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "description": "User-defined variables populated by filtering records with Whippy Query Language (WQL).\n\nEach key is a variable name, such as `available_jobs`. Its value contains the `filter` rules that define which\nrecords populate the variable and may also contain `limit` and `sort`.\n\nAt runtime, Whippy filters records for the current contact and, where applicable, the current agent, then makes\nthe results available in the agent instructions:\n\n  * `{{@repeat available_jobs}}...{{@endrepeat}}` repeats the enclosed content for each matching record.\n    Fields within the repeated content can use placeholders such as `{{custom.job.title}}`.\n  * `{{@if available_jobs}}...{{@else}}...{{@endif}}` renders the first block when records match, or the\n    optional `@else` block when none match.\n",
                    "example": {
                      "available_jobs": {
                        "filter": [
                          {
                            "column": "status",
                            "comparison": "==",
                            "resource": "job",
                            "value": "active"
                          }
                        ],
                        "limit": 10,
                        "sort": [
                          {
                            "column": "created_at",
                            "order": "desc",
                            "resource": "job"
                          }
                        ]
                      }
                    },
                    "type": "object",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "published_at": {
                    "description": "Time the agent version was published in ISO 8601 format",
                    "example": "2024-04-30T08:56:24Z",
                    "format": "date-time",
                    "nullable": true,
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "settings": {
                    "additionalProperties": false,
                    "description": "Agent settings",
                    "properties": {
                      "allow_user_dtmf": {
                        "default": true,
                        "description": "Agent allow user DTMF option.\n\nControls whether the agent allows the user to input DTMF (Dual-tone multi-frequency) signals (e.g., pressing keys on the phone keypad) during the call.\n",
                        "example": true,
                        "type": "boolean",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "ambient_sound": {
                        "description": "Agent ambient environment sound",
                        "enum": [
                          "coffee-shop",
                          "convention-hall",
                          "summer-outdoor",
                          "mountain-outdoor",
                          "static-noise",
                          "call-center"
                        ],
                        "example": "coffee-shop",
                        "type": "string",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "ambient_sound_volume": {
                        "default": 1,
                        "description": "Agent ambient environment sound volume, from 0 to 2.",
                        "example": 1,
                        "maximum": 2,
                        "minimum": 0,
                        "type": "number",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "backchannel_frequency": {
                        "default": 0.8,
                        "description": "Agent backchannel frequency.\n\nBackchannel is when the agent interjects the speaker with phrases like \"yeah\", \"uh-huh\" to signify interest and engagement. Must be from 0 to 1.\n",
                        "example": 0.8,
                        "maximum": 1,
                        "minimum": 0,
                        "type": "number",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "backchannel_words": {
                        "description": "Agent backchannel words.\n\nBackchannel is when the agent interjects the speaker with phrases like \"yeah\", \"uh-huh\" to signify interest and engagement.\n",
                        "example": [
                          "okay",
                          "uh-huh",
                          "mhmm",
                          "yah"
                        ],
                        "items": {
                          "description": "Backchannel word",
                          "example": "okay",
                          "type": "string",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "type": "array",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "begin_message_delay_ms": {
                        "default": 0,
                        "description": "Agent begin message delay ms setting.\n\nControls the time in milliseconds that the agent will wait once the call starts before saying the begin message. Must be from 0 to 5000.\n",
                        "example": 0,
                        "maximum": 5000,
                        "minimum": 0,
                        "type": "integer",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "boosted_keywords": {
                        "description": "Agent boosted keywords to bias the STT (Speech To Text) model.\n\nCommonly used for names, brands, street, etc.\n",
                        "example": [
                          "Whippy"
                        ],
                        "items": {
                          "description": "Boosted keyword",
                          "example": "Whippy",
                          "type": "string",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "type": "array",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "denoising_mode": {
                        "description": "Agent denoising mode.\n\nCurrently supports:\n  * `noise-cancellation`: Reduces background noise and echoes.\n  * `noise-and-background-speech-cancellation`: Reduces background noise, echoes, and background speech (e.g. voices from TVs or nearby conversations).\n",
                        "enum": [
                          "noise-cancellation",
                          "noise-and-background-speech-cancellation"
                        ],
                        "example": "noise-cancellation",
                        "type": "string",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "enable_backchannel": {
                        "default": false,
                        "description": "Agent backchannel enabled option.\n\nBackchannel is when the agent interjects the speaker with phrases like \"yeah\", \"uh-huh\" to signify interest and engagement.\n",
                        "example": false,
                        "type": "boolean",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "end_call_after_silence_ms": {
                        "default": 600000,
                        "description": "Agent end call after silence ms setting.\n\nControls the time in milliseconds to end the call when the user is unresponsive. Must be at least 10000.\n",
                        "example": 600000,
                        "minimum": 10000,
                        "type": "integer",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "fallback_voice_ids": {
                        "description": "Fallback voice IDs to be used in case voice ID isn't available.\n\n**Must be from different TTS provider than voice ID.**\n",
                        "example": [
                          "openai-Echo"
                        ],
                        "items": {
                          "description": "Fallback voice ID",
                          "example": "openai-Echo",
                          "type": "string",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "type": "array",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "interruption_sensitivity": {
                        "default": 1,
                        "description": "Agent interruption sensitivity.\n\nControls how sensitive the agent is to user interruptions. Must be from 0 to 1.\n",
                        "example": 1,
                        "maximum": 1,
                        "minimum": 0,
                        "type": "number",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "language": {
                        "default": "multi",
                        "description": "Agent language.\n\nOnly used for the STT (Speech To Text) model. Use `multi` to enable multilingual operation across all supported languages.\n",
                        "enum": [
                          "en-US",
                          "en-IN",
                          "en-GB",
                          "de-DE",
                          "es-ES",
                          "es-419",
                          "hi-IN",
                          "ja-JP",
                          "pt-PT",
                          "pt-BR",
                          "fr-FR",
                          "zh-CN",
                          "ru-RU",
                          "it-IT",
                          "ko-KR",
                          "nl-NL",
                          "pl-PL",
                          "tr-TR",
                          "vi-VN",
                          "multi",
                          "en-AU",
                          "en-NZ",
                          "fr-CA",
                          "ro-RO",
                          "bg-BG",
                          "ca-ES",
                          "da-DK",
                          "fi-FI",
                          "el-GR",
                          "hu-HU",
                          "id-ID",
                          "no-NO",
                          "sk-SK",
                          "sv-SE",
                          "nl-BE",
                          "th-TH",
                          "sw-KE"
                        ],
                        "example": "multi",
                        "type": "string",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "max_call_duration_ms": {
                        "default": 3600000,
                        "description": "Agent max call duration ms setting.\n\nControls the time in milliseconds that a call can take before being automatically terminated. Must be from 60000 to 7200000.\n",
                        "example": 3600000,
                        "maximum": 7200000,
                        "minimum": 60000,
                        "type": "integer",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "max_chat_duration_ms": {
                        "default": 86400000,
                        "description": "Agent max chat duration ms setting.\n\nControls the time in milliseconds that a chat agent can take before being automatically terminated.\n",
                        "example": 86400000,
                        "type": "integer",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "normalize_for_speech": {
                        "default": false,
                        "description": "Agent normalize for speech option.\n\nThis feature normalizes the text to it's speech form, e.g. \"The payment is $24.12\" -> \"The payment is twenty four dollars twelve cents\".\n",
                        "example": false,
                        "type": "boolean",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "post_call_analysis_data": {
                        "description": "Post call analysis data to extract from the call for the Agent.\n\n**It's defined as a JSON Schema object.**\n",
                        "example": {
                          "properties": {
                            "experience_in_years": {
                              "description": "User's years of experience at the job",
                              "type": "integer"
                            },
                            "method": {
                              "description": "User's preferred contact method",
                              "enum": [
                                "sms",
                                "phone",
                                "email"
                              ],
                              "type": "string"
                            },
                            "overtime": {
                              "description": "User's availability to work overtime",
                              "type": "boolean"
                            },
                            "user_email": {
                              "description": "User's email address for contacting purposes",
                              "examples": [
                                "john.wayne@whippy.co",
                                "jonnyw@google.com"
                              ],
                              "format": "email",
                              "type": "string"
                            }
                          },
                          "required": [
                            "user_email",
                            "method",
                            "overtime",
                            "experience_in_years"
                          ],
                          "type": "object"
                        },
                        "properties": {
                          "$defs": {
                            "additionalProperties": {
                              "oneOf": [
                                {
                                  "description": "String type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the string property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the string property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed string property values",
                                      "items": {
                                        "type": "string",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the string property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "format": {
                                      "description": "Format of the string property",
                                      "enum": [
                                        "date-time",
                                        "time",
                                        "date",
                                        "duration",
                                        "email",
                                        "hostname",
                                        "ipv4",
                                        "ipv6",
                                        "uuid"
                                      ],
                                      "example": "email",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "pattern": {
                                      "description": "Pattern of the string property",
                                      "example": "^@[a-zA-Z0-9_]+$",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the string property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "string"
                                      ],
                                      "example": "string",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Boolean type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the boolean property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the boolean property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed boolean property values",
                                      "items": {
                                        "type": "boolean",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the boolean property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the boolean property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "boolean"
                                      ],
                                      "example": "boolean",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Integer type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the integer property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the integer property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed integer property values",
                                      "items": {
                                        "type": "integer",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the integer property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the integer property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "integer"
                                      ],
                                      "example": "integer",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Number type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the number property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the number property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed number property values",
                                      "items": {
                                        "type": "number",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the number property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "exclusiveMaximum": {
                                      "description": "Exclusive maximum value of the number property",
                                      "example": 100,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "exclusiveMinimum": {
                                      "description": "Exclusive minimum value of the number property",
                                      "example": 0,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "maximum": {
                                      "description": "Maximum value of the number property",
                                      "example": 100,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "minimum": {
                                      "description": "Minimum value of the number property",
                                      "example": 0,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "multipleOf": {
                                      "description": "Allowed 'multiple of' value for the number property",
                                      "example": 1,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the number property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "number"
                                      ],
                                      "example": "number",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Null type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the null property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the null property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed null property values",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the null property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the null property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "null"
                                      ],
                                      "example": "null",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Array type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value for the array property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the array property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the array property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "items": {
                                      "description": "Schema for items in the array property.\n\nCan be any of:\n- String\n- Boolean\n- Integer\n- Number\n- Object\n- Array\n- Any of\n- Reference\n",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "maxItems": {
                                      "description": "Maximum number of items in the array",
                                      "type": "integer",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "minItems": {
                                      "description": "Minimum number of items in the array",
                                      "type": "integer",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the array property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "array"
                                      ],
                                      "example": "array",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type",
                                    "items"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Object type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value for the object property",
                                      "type": "object",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the object property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the object property",
                                      "items": {
                                        "type": "object",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "properties": {
                                      "additionalProperties": true,
                                      "description": "Properties of the object property.\n\nEach key/value pair corresponds to a property that can be any of:\n- String\n- Boolean\n- Integer\n- Number\n- Object\n- Array\n- Any of\n- Reference\n",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "required": {
                                      "description": "Required properties of the object property",
                                      "items": {
                                        "type": "string",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the object property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "object"
                                      ],
                                      "example": "object",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type",
                                    "properties",
                                    "required"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "additionalProperties": false,
                                  "description": "Any of JSON Schema property",
                                  "properties": {
                                    "anyOf": {
                                      "description": "Schemas for the any of JSON Schema property.",
                                      "items": {
                                        "description": "Schema for the any of JSON Schema property.\n\nCan be any of:\n- String\n- Boolean\n- Integer\n- Number\n- Object\n- Array\n- Reference\n",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "anyOf"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "additionalProperties": false,
                                  "description": "Reference JSON Schema property",
                                  "properties": {
                                    "$ref": {
                                      "description": "Reference to a JSON Schema definition",
                                      "example": "#/$defs/my_schema",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "$ref"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                }
                              ],
                              "x-struct": null,
                              "x-validate": null
                            },
                            "description": "Definitions of reusable JSON Schema properties that can be referenced using $ref.\n\nEach key/value pair corresponds to a reusable property.\n- **It's validated against all defined types and their properties.**\n- **It supports additional JSON Schema definitions outside the AI Agent's `post_call_analysis_data`.**\n",
                            "type": "object",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "properties": {
                            "additionalProperties": {
                              "oneOf": [
                                {
                                  "description": "String type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the string property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the string property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed string property values",
                                      "items": {
                                        "type": "string",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the string property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "format": {
                                      "description": "Format of the string property",
                                      "enum": [
                                        "date-time",
                                        "time",
                                        "date",
                                        "duration",
                                        "email",
                                        "hostname",
                                        "ipv4",
                                        "ipv6",
                                        "uuid"
                                      ],
                                      "example": "email",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "pattern": {
                                      "description": "Pattern of the string property",
                                      "example": "^@[a-zA-Z0-9_]+$",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the string property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "string"
                                      ],
                                      "example": "string",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Boolean type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the boolean property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the boolean property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed boolean property values",
                                      "items": {
                                        "type": "boolean",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the boolean property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the boolean property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "boolean"
                                      ],
                                      "example": "boolean",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Integer type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the integer property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the integer property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed integer property values",
                                      "items": {
                                        "type": "integer",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the integer property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the integer property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "integer"
                                      ],
                                      "example": "integer",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Number type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the number property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the number property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed number property values",
                                      "items": {
                                        "type": "number",
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "examples": {
                                      "description": "Examples of the number property",
                                      "items": {
                                        "x-struct": null,
                                        "x-validate": null
                                      },
                                      "type": "array",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "exclusiveMaximum": {
                                      "description": "Exclusive maximum value of the number property",
                                      "example": 100,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "exclusiveMinimum": {
                                      "description": "Exclusive minimum value of the number property",
                                      "example": 0,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "maximum": {
                                      "description": "Maximum value of the number property",
                                      "example": 100,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "minimum": {
                                      "description": "Minimum value of the number property",
                                      "example": 0,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "multipleOf": {
                                      "description": "Allowed 'multiple of' value for the number property",
                                      "example": 1,
                                      "type": "number",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "title": {
                                      "description": "Title of the number property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "type": {
                                      "description": "Type of property per JSON Schema definition",
                                      "enum": [
                                        "number"
                                      ],
                                      "example": "number",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    }
                                  },
                                  "required": [
                                    "type"
                                  ],
                                  "type": "object",
                                  "x-struct": null,
                                  "x-validate": null
                                },
                                {
                                  "description": "Null type JSON Schema property",
                                  "properties": {
                                    "default": {
                                      "description": "Default value of the null property",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "description": {
                                      "description": "Description of the null property",
                                      "type": "string",
                                      "x-struct": null,
                                      "x-validate": null
                                    },
                                    "enum": {
                                      "description": "Enumeration of allowed null property values",
                                      "items": {
                                        "x-struct": null,
[...]
